# automatically generated, don't edit
# Fri Jun 12 13:11:32 UTC 2026

RELEASE=4.7a
VERSION=

BIGLOOSVN=ssh://hop@hop.inria.fr/bigloo

HOSTOS=linux

RM=rm
MV=mv

LN_S=ln -s

INSTALLBEE=partial

BOOTDIR=/usr
BOOTBINDIR=/usr/bin
BOOTLIBDIR=/usr/lib/bigloo/4.7a

BIGLOO?=$(BINDIR)/bigloo.sh
BGLAFILE?=$(BINDIR)/bglafile
BGLJFILE?=$(BINDIR)/bgljfile
BGLTAGS?=$(BINDIR)/bgltags
BGLDEPEND?=$(BINDIR)/bgldepend
BGLMCO?=$(BINDIR)/bglmco
CIGLOO?=$(BINDIR)/cigloo

BPP_EXE=bglpp
BPROF_EXE=bglprof
MCO_EXE=bglmco
JAS_EXE=bgljas
BMEM_EXE=bglmem
BMEMRUN_EXE=bglmemrun
BDB_EXE=bgldb
BGLPKG_EXE=bglpkg

DESTDIR=
BINDIR=/usr/bin
LIBDIR=/usr/lib
FILDIR=bigloo/4.7a
ZIPDIR=$(DESTDIR)/usr/lib/bigloo/4.7a
SYSZIPDIR=$(DESTDIR)/usr/lib/bigloo/4.7a
DLLDIR=$(DESTDIR)/usr/lib/bigloo/4.7a
SYSDLLDIR=$(DESTDIR)/usr/lib/bigloo/4.7a
LIBPATH=$(DESTDIR)/usr/lib/bigloo/4.7a
MANDIR=$(DESTDIR)/usr/share/man/man1
INFODIR=$(DESTDIR)/usr/share/info
DOCDIR=$(DESTDIR)/usr/share/doc/bigloo
TMP=/tmp
RPATH=/usr/lib/bigloo/4.7a 

NATIVEBACKEND=yes
NATIVE_MACHDEP=generic_mach_dep
SHAREDCOMPILER=no

LIBRARYNAME=bigloo

CC=gcc
CFLAGS=-march=armv7-a -mfloat-abi=hard -mfpu=neon -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security -fstack-clash-protection -std=gnu17 -D_GNU_SOURCE=1 -fwrapv -Wno-unused -march=armv7-a -mfloat-abi=hard -mfpu=neon -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -std=gnu17 -D_GNU_SOURCE=1 -fwrapv -Wno-unused   -Wno-unused-value -Wno-parentheses-equality -Wno-parentheses -Wno-invalid-source-encoding -Wno-return-type -Wno-trigraphs
CFPFLAGS=-fno-omit-frame-pointer
CSTRIPFLAGS=-s
CPICFLAGS=-fPIC
CBUILDFLAGS=-I/build/bigloo/src/bigloo-4.7a/libbacktrace/usr/lib/bigloo/4.7a 
CNANFLAGS=-DBGL_NAN_TAGGING=0
CFSTFLAGS=
CFLAGS_P=$(CFLAGS) -pg -fno-inline
LDBUILDOPTS=-L/build/bigloo/src/bigloo-4.7a/libbacktrace/usr/lib/bigloo/4.7a 
EXTRALIBS=-ldl -lresolv -lunistring -lpcre2-8 -lgmp -lm -lc
CLOSELIBS= # always empty, does not contain GC, override by makefiles

CGCFLAGS=-DNO_DEBUGGING -Iinclude -Ilibatomic_ops-install/include -DATOMIC_UNCOLLECTABLE -DNO_EXECUTE_PERMISSION  -DBGL_PTHREAD_KILL -DFINALIZE_ON_DEMAND  -I$(BOOTLIBDIR) $(CPICFLAGS)
EXTRAGCLIBS=-lc
CUSTOMGC=gc-8.2.12
GCLIB=gc
GCCUSTOM=no
GCINCLUDE=-I/usr/include/gc
GCCLOSELIB=-l$(GCLIB)
GCSTDOBJ=Clib/non_inline_alloc.o
GCLIBDIR=/usr/lib
EXTRALIBS+=-l$(GCLIB)
BIGLOOGCLIB=

GMPCUSTOM=no
GMPCUSTOMVERSION=6.3.0

PCRECUSTOM=no
PCRECUSTOMVERSION=8.43

PCRE2CUSTOM=no
PCRE2CUSTOMVERSION=10.45

UNISTRINGCUSTOM=no
UNISTRINGCUSTOMVERSION=1.3

EXTRA_LD_OPT=-Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z,relro -Wl,-z,now  -rdynamic
SHRD_COMP=no
SHRD_BDE_OPT=-static-bigloo
EXE_SUFFIX=
AS=gcc -c -x assembler-with-cpp

AR=ar
ARFLAGS=qc
RANLIB=ranlib

SHAREDLIBRARYSUPPORT=yes
SHAREDLIBRARYCLOSED=yes
LD=gcc -shared
LDRPATHOPT=-Wl,--enable-new-dtags,-rpath=
LDFLAGS=
LDLIBS=  # used to be -lc
LDPRELOADSUPPORT=yes
LDSONAME=-Wl,-soname
LDINSTALLNAME=
LDINSTALLNAMEDIRROOT=lib

SHAREDSUFFIX=so

LDCOMPLIBS_SHARED=-lbigloo_s-$(RELEASE) -lbacktrace -lunistring -lpcre2-8 -lgmp -L$(GCLIBDIR) -lgc 
LDCOMPLIBS_STATIC=$(BOOTLIBDIR)/libbigloo_s-$(RELEASE).a $(BOOTDIR)/libbacktrace$(LIBDIR)/$(FILDIR)/libbacktrace.a -lunistring -lpcre2-8 -lgmp -L$(GCLIBDIR) -lgc -L$(GCLIBDIR) -lgc 
LDCOMPLIBS=-lc -lm -lresolv -ldl

DLOPENSUPPORT=yes

GCTHREADSUPPORT=yes
CGCTHREADFLAGS=-DGC_LINUX_THREADS -D_REENTRANT -DGC_THREADS -DNO_HANDLE_FORK -DTHREAD_LOCAL_ALLOC -DFINALIZE_ON_DEMAND -march=armv7-a -mfloat-abi=hard -mfpu=neon -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security -fstack-clash-protection -std=gnu17 -D_GNU_SOURCE=1 -fwrapv -Wno-unused -DPARALLEL_MARK -DUSE_COMPILER_TLS -DBGL_GC_THREADS
PTHREADLIBS=-lpthread
OPENSSLLIBS=-lssl -lcrypto
OPENSSLLIBSCFLAGS=-I.
SQLITELIBS=-lsqlite3
SQLITESRFI=sqlite
GSTREAMER=
GSTREAMERLIBS=
GSTREAMERFLAGS=
ALSA=yes
ALSALIBS=-lasound
ALSACFLAGS=
PULSEAUDIO=yes
PULSEAUDIOLIBS=-lpulse-simple -lpulse -pthread
PULSEAUDIOCFLAGS=-D_REENTRANT
MPG123=
MPG123LIBS=-lmpg123
MPG123CFLAGS=
FLAC=
FLACLIBS=-lFLAC
AVAHI=yes
AVAHILIBS=-lavahi-common -lavahi-client
AVAHICFLAGS=-D_REENTRANT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
MQTT=
LIBUV=yes
LIBUVLIBS=-luv
LIBUVCFLAGS=
LIBUVCUSTOM=no
LIBBACKTRACE=
LIBBACKTRACELIBS=-lbacktrace
LIBBACKTRACECFLAGS=
LIBBACKTRACECUSTOM=yes
LIBBACKTRACECUSTOMVERSION=14818b7
LIBBACKTRACEBOOTINCDIR=/build/bigloo/src/bigloo-4.7a/libbacktrace/libbacktrace-14818b7
PHIDGET=no
PHIDGETLIBS=
PHIDGETCFLAGS=
PHIDGETLIBDIR=
STRIP=strip

EMACS=emacs
EMACSDIR=/usr/share/emacs/site-lisp/bigloo
EMACSBRAND=emacs30
EWARN=

BMASK=755
MODEXE=755
MODFILE=644
MODDIR=755

INSTALLINFO=""

JVMBACKEND=no

BFLAGS=-O3 -fcfa-arithmetic -q -lib-dir $(BOOTLIBDIR)
BOOTFLAGS=
BFEATUREFLAGS=-srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp 
LDSTRIPFLAGS=-ldopt -s

SCRIPTEXTENSION=
C_OBJ_EXTENSION=o

APIS=pthread fthread srfi18 ssl sqlite web multimedia mail calendar text srfi1 crypto openpgp csv upnp libuv libbacktrace alsa pulseaudio wav flac mpg123 phone avahi srfi27 packrat mqtt
NOAPIS=

# Makefile.misc variables (default values)
LIBSUFFIX=_s
LIBSUFFIXTHREAD=
BIGLOOLIB=bigloo
BIGLOOEXTRALIBS=
BIGLOOAPPLIBS=
APPRELEASE=
